## python3.9 3.9.0

=== debian/changelog ===
python3.9 (3.9.0-5) unstable; urgency=medium

  * Update to the 3.9 branch 2020-10-19.
  * python3.9-venv: Depend on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Oct 2020 11:51:18 +0200

python3.9 (3.9.0-4) unstable; urgency=medium

  * Fix module-install-venv autopkg test dependency.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Oct 2020 11:42:38 +0200

python3.9 (3.9.0-3) unstable; urgency=high

  * Update to the 3.9 branch 2020-10-16.
  * ensurepip: Don't try to import the _bundled module.
  * Refresh patches.
  * Add some autopkg tests for venv (Stefano Rivera).

 -- Matthias Klose <doko@debian.org>  Fri, 16 Oct 2020 19:57:59 +0200

python3.9 (3.9.0-2) unstable; urgency=medium

  * Update to the 3.9 branch 2020-10-15.
  * Build with -O1 on sh4 (Adrian Glaubitz). Closes: #972202.
  * Don't run test_ttk_guionly test, timing on many buildds.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 13:54:52 +0200

python3.9 (3.9.0-1) unstable; urgency=medium

  * Python 3.9.0 release.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Oct 2020 22:56:51 +0200

python3.9 (3.9.0~rc2-1) unstable; urgency=medium

  * Python 3.9.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 12:40:00 +0200

python3.9 (3.9.0~rc1-1) unstable; urgency=medium

  * Python 3.9.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2020 12:42:16 +0200

python3.9 (3.9.0~b5-2) unstable; urgency=medium

  * Move typing.py into libpython3.9-minimal.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jul 2020 11:11:14 +0200

python3.9 (3.9.0~b5-1) unstable; urgency=medium

  * Python 3.9.0 beta 5.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2020 11:03:53 +0200

python3.9 (3.9.0~b4-2) unstable; urgency=medium

  * Fix symbols file on i386.
  * Don't run test_concurrent_futures on riscv64, takes ages.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2020 13:24:24 +0200

python3.9 (3.9.0~b4-1) unstable; urgency=medium

  * Python 3.9.0 beta 4.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2020 15:22:12 +0200

python3.8 (3.8.4~rc1-1) unstable; urgency=medium

  * Python 3.8.4 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jul 2020 17:31:45 +0200

python3.8 (3.8.3-1) unstable; urgency=medium

  * Python 3.8.3 release.
  * Add XB-Cnf-Visible-Pkgname header on the python*-minimal package to
    point command-not-found at the full one. LP: #1867157

 -- Matthias Klose <doko@debian.org>  Thu, 14 May 2020 13:03:12 +0200

python3.8 (3.8.3~rc1-1) unstable; urgency=medium

  * Python 3.8.3 release candidate 1.
    - Issue #38576, CVE-2019-18348: Disallow control characters in hostnames
      in http.client.
    - Issue #39503, CVE-2020-8492: Denial of service in
      urllib.request.AbstractBasicAuthHandler.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Apr 2020 09:33:30 +0200

python3.8 (3.8.2-1) unstable; urgency=medium

  * Python 3.8.2 release.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 14:04:52 +0100

python3.8 (3.8.2~rc2-2) unstable; urgency=medium

  * Ignore some autopkg test failures:
    - test_ssl: Fails with OPENSSL_TLS_SECURITY_LEVEL=2.
    - test_io: Fails on Ubuntu's autopkg test infrastructure.
    - Lower OpenSSL security level from 2 to 1 during testing as test_ssl
      assumes that (Dimitri John Ledkov).

 -- Matthias Klose <doko@debian.org>  Fri, 21 Feb 2020 12:37:41 +0100

python3.8 (3.8.2~rc2-1) unstable; urgency=medium

  * Python 3.8.2 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2020 11:16:50 +0100

python3.8 (3.8.2~rc1-1) unstable; urgency=medium

  * Python 3.8.2 release candidate 1.
  * Make autopkgtests cross-test-friendly (Steve Langasek).
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Feb 2020 16:26:48 +0100

python3.8 (3.8.1-2) unstable; urgency=medium

  * Fix KFreeBSD builds (James Cowgill).

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 09:48:53 +0100

python3.8 (3.8.1-1) unstable; urgency=medium

  * Python 3.8.1 release.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Dec 2019 10:21:09 +0100

python3.8 (3.8.1~rc1-1) unstable; urgency=medium

  * Python 3.8.1 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2019 10:38:12 +0100

python3.8 (3.8.0-5) unstable; urgency=medium

  * Update to 20191123 from the 3.8 branch.
  * libpython3.8-dbg: Provide a python-$(VER)-dbg-embed.pc pkg-config file.
    Closes: #944852.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Nov 2019 05:55:55 +0100

python3.8 (3.8.0-4) unstable; urgency=medium

  * Move the test/ann_module{,2,3} modules into libpython-stdlib.
    Closes: #944303.
  * Annote python-examples dependency on python.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Nov 2019 16:14:28 +0100

python3.8 (3.8.0-3) unstable; urgency=medium

  * python3.8-dev: Depend on zlib1g-dev, needed to link as an
    embedded interpreter.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 17:36:55 +0200

python3.8 (3.8.0-2) unstable; urgency=medium

  * Fix a symlink to the shared debug library.
  * Install the python3.8d-embed pkg-config file.
  * Don't ship the python3-embed pkg-config file.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 18:00:25 +0200

python3.8 (3.8.0-1) unstable; urgency=medium

  * Python 3.8.0 release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 11:10:20 +0200

python3.8 (3.8.0~rc1-3) unstable; urgency=medium

  * Apply proposed patch for issue 38368. LP: #1847036. Addresses: #941650.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2019 11:06:01 +0200

python3.8 (3.8.0~rc1-2) unstable; urgency=medium

  * Python 3.8.0 release candidate 1.
  * Refresh patches.
  * Update symbols files.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Oct 2019 05:45:03 +0200

python3.8 (3.8.0~b4-1) unstable; urgency=medium

  * Python 3.8.0 beta 4 release.


