=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
  locales-all,
  python3.9-dev,
  libpython3.9-testsuite:native,
  python3-gdbm,
  python3-distutils,
  python3-tk,
  idle-python3.9,
  systemtap-sdt-dev,
# need to turn off apport
Restrictions: needs-root

Tests: testsuite-dbg
Depends: build-essential,
  locales-all, python3.9-dev,
  python3.9-dbg,
  libpython3.9-testsuite:native,
  python3-gdbm-dbg,
  gdb,
  python3-distutils,
  python3-tk-dbg,
  idle-python3.9,
  systemtap-sdt-dev,
# need to turn off apport
Restrictions: needs-root

Tests: failing-tests
Depends: build-essential,
  locales-all,
  python3.9-dev,
  libpython3.9-testsuite:native,
  python3-gdbm,
  python3-distutils,
# need to turn off apport
Restrictions: needs-root allow-stderr

Tests: failing-tests-dbg
Depends: build-essential,
  locales-all,
  python3.9-dev,
  python3.9-dbg,
  libpython3.9-testsuite:native,
  python3-gdbm-dbg,
  gdb,
  python3-distutils,
# need to turn off apport
Restrictions: needs-root allow-stderr

Tests: module-install-local
Depends: build-essential, python3.9-dev, python3-setuptools, shunit2
Restrictions: needs-root

Tests: module-install-user
Depends: build-essential, python3.9-dev, python3-setuptools, shunit2

Tests: module-install-venv
Depends: build-essential, python3.9-dev, python3.9-venv, shunit2

Tests: module-install-virtualenv
Depends: build-essential, python3.9-dev, shunit2, virtualenv
