## python3.9 3.9.2

=== debian/changelog ===
python3.9 (3.9.2-1) unstable; urgency=medium

  * Python 3.9.2 release. No changes since 3.9.2~rc1-1.
  * Build idlelib/help.html from source, don't ship the pre-generated file.
  * Autopkg tests:
    - Run testsuite{,-dbg} autopkg tests with allow-stderr. Closes: #983305.
    - Run again in testsuite instead of failing-tests: test_ftplib,
      test_httplib test_imaplib test_nntplib test_poplib test_ssl.
    - Run test_distutils and test_site tests again.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Feb 2021 18:03:44 +0100

python3.9 (3.9.2~rc1-1) experimental; urgency=medium

  * Python 3.9.2 release candidate 1. Changes since 3.9.1-4:
    - Fix issue #42967, web cache poisoning vulnerability.
    - Fix issue #42938, explicitly disable bracketed paste in the interactive
      interpreter. Closes: #979154.
  * Fix permissions and group for local directories. Closes: #962422.
  * Build a python3.9-full package.
  * idle-python3.9: Drop dependency on libjs-mathjax, unused in 3.8 and 3.9.
  * python3.9-doc: Fix links to the documentation in /usr/share/doc/python3.9.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Feb 2021 19:32:50 +0100

python3.9 (3.9.1-4) unstable; urgency=medium

  * Update to the 3.9 branch 2021-02-04.
  * Fix issue #43030, compiler warning in Py_UNICODE_ISSPACE with
    signed wchar_t. Closes: #961396.
  * Depend on media-types instead of mime-support. Closes: #981016.
  * Fix permissions and group for local directories. Closes: #962422.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Feb 2021 14:46:56 +0100

python3.9 (3.9.1-3) unstable; urgency=medium

  * Update to the 3.9 branch 2021-01-20.
  * Configure again --with-system-libmpdec.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2021 15:49:22 +0100

python3.9 (3.9.1-2) unstable; urgency=medium

  * Update to the 3.9 branch 2021-01-10.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 16:42:50 +0100

python3.9 (3.9.1-1) unstable; urgency=medium

  * Python 3.9.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 08:51:42 +0100

python3.9 (3.9.1~rc1-2) unstable; urgency=medium

  * Don't expect the test_ttk_textonly test to pass.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Nov 2020 20:38:39 +0100

python3.9 (3.9.1~rc1-1) unstable; urgency=medium

  * Python 3.9.1 release candidate 1.
  * libpython3.9-stdlib: Depend on tzdata, recommend ca-certificates.
  * libpython3.9-stdlib: Depend on media-types | mime-support instead of
    mime-support.
  * Update VCS attributes.
  * Add python3-tk test dependency for the failing-tests* autopkg tests.
  * Bump standards version.
  * Add build conflict with git, or else the git information of the packaging
    is encoded in the upstream version information.
  * Build with -fno-inline-small-functions on hppa and sh4.
    Closes: #972458, #972202.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Nov 2020 09:20:22 +0100
