=== debian/control ===
--- 
+++ 
@@ -9,18 +9,19 @@
   zlib1g-dev, libbz2-dev, liblzma-dev,
   libgdbm-dev, libdb-dev,
   tk-dev, blt-dev (>= 2.4z), libssl-dev,
-  libexpat1-dev, libmpdec-dev (>= 2.4),
+  libexpat1-dev, libmpdec-dev (>= 2.5.1~),
   libbluetooth-dev [linux-any] <!pkg.python3.9.nobluetooth>,
   locales-all,
   libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
   libgpm2 [linux-any],
-  mime-support, netbase, bzip2, time, python3:any, python3.9:any <cross>,
+  media-types | mime-support, netbase, bzip2, time, python3:any, python3.9:any <cross>,
   net-tools, xvfb <!nocheck>, xauth <!nocheck>,
   systemtap-sdt-dev
 Build-Depends-Indep: python3-sphinx, python3-docs-theme, texinfo
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/cpython-team/python3
-Vcs-Git: https://salsa.debian.org/cpython-team/python3.git
+Build-Conflicts: git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/cpython-team/python3/tree/python3.9
+Vcs-Git: https://salsa.debian.org/cpython-team/python3.git -b python3.9
 XS-Testsuite: autopkgtest
 
 Package: python3.9
@@ -29,7 +30,7 @@
 Priority: optional
 Depends: python3.9-minimal (= ${binary:Version}),
  libpython3.9-stdlib (= ${binary:Version}),
- mime-support,
+ media-types | mime-support,
  ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3.9-venv, python3.9-doc, binutils
 Breaks: python3-all (<< 3.6.5~rc1-1),
@@ -46,7 +47,7 @@
 Priority: optional
 Depends: python3.9 (= ${binary:Version}),
  python-pip-whl (>= 8.1.0-2),
- python3-distutils,
+ python3.9-distutils,
  ${shlibs:Depends}, ${misc:Depends},
 Breaks: python3-pip (<< 1.5.6-4)
 Description: Interactive high-level object-oriented language (pyvenv binary, version 3.9)
@@ -61,7 +62,11 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpython3.9-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
+Depends: libpython3.9-minimal (= ${binary:Version}),
+  media-types | mime-support,
+  tzdata,
+  ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
 Description: Interactive high-level object-oriented language (standard library, version 3.9)
  Python is a high-level, interactive, object-oriented language. Its 3.9 version
  includes an extensive class library with lots of goodies for
@@ -171,7 +176,6 @@
 Architecture: all
 Depends: python3.9, python3-tk, python3.9-tk,
   ${misc:Depends},
-  libjs-mathjax,
 Enhances: python3.9
 Description: IDE for Python (v3.9) using Tkinter
  IDLE is an Integrated Development Environment for Python (v3.9).
@@ -229,3 +233,31 @@
  - Debug information for standard python extensions.
  .
  See the README.debug for more information.
+
+Package: python3.9-full
+Architecture: any
+Multi-Arch: allowed
+Depends: python3.9 (= ${binary:Version}),
+  libpython3.9-testsuite,
+  python3.9-venv (= ${binary:Version}),
+  idle-python3.9,
+  python3.9-distutils,
+  python3.9-gdbm,
+  python3.9-lib2to3,
+  python3.9-tk,
+  ca-certificates,
+  ${shlibs:Depends}, ${misc:Depends}
+Recommends: python3.9-doc, python3.9-examples,
+Suggests: python3.9-dev
+Description: Python Interpreter with complete class library (version 3.9)
+ Python, the high-level, interactive object oriented language,
+ includes an extensive class library with lots of goodies for
+ network programming, system administration, sounds and graphics.
+ .
+ This package is a dependency package, which depends on the full
+ standard library of Python for Python developers. Including modules
+ used only at build-time, such as venv and distutils, and modules with
+ complex dependencies, such as tk and IDLE. All batteries included.
+ .
+ According to the Debian Python policy, this package must not be used in
+ build dependencies, dependencies and recommendations.
