=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	else echo Unknown; fi)
 
 VER=3.9
-SVER=3.9.0~b4
+SVER=3.9.1
 NVER=3.10
 PVER=python$(VER)
 EXT_VER=$(subst .,,$(VER))
@@ -170,9 +170,9 @@
 ifeq ($(DEB_HOST_ARCH),ia64)
     EXTRA_OPT_CFLAGS += -O2
 endif
-# see #972202
-ifeq ($(DEB_HOST_ARCH),sh4)
-    EXTRA_OPT_CFLAGS += -O1
+# see #972202, and https://gcc.gnu.org/PR97431
+ifneq (,$(filter $(DEB_HOST_ARCH), hppa sh4))
+    EXTRA_OPT_CFLAGS += -fno-inline-small-functions
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH), ppc64 ppc64el))
     OPT_CFLAGS += -fexceptions
@@ -237,7 +237,5 @@
   arch_substvars = # '-Vpython38:Breaks=$(shell tr '\n' ' ' < debian/py38-breaks.$(derivative))'
 endif
 
-make_build_target = $(if $(with_pgo),profile-opt)
-
-buildd_static	:= $(CURDIR)/build-static
-buildd_shared	:= $(CURDIR)/build-shared
+make_build_target = $(if $(filter yes, $(with_pgo)),profile-opt)
+
