=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Tests: testsuite
 Depends: build-essential,
+  ca-certificates,
   locales-all,
   python3.9-dev,
   libpython3.9-testsuite:native,
@@ -9,10 +10,11 @@
   idle-python3.9,
   systemtap-sdt-dev,
 # need to turn off apport
-Restrictions: needs-root
+Restrictions: needs-root, allow-stderr
 
 Tests: testsuite-dbg
 Depends: build-essential,
+  ca-certificates,
   locales-all, python3.9-dev,
   python3.9-dbg,
   libpython3.9-testsuite:native,
@@ -23,20 +25,24 @@
   idle-python3.9,
   systemtap-sdt-dev,
 # need to turn off apport
-Restrictions: needs-root
+Restrictions: needs-root, allow-stderr
 
 Tests: failing-tests
 Depends: build-essential,
+  ca-certificates,
   locales-all,
   python3.9-dev,
   libpython3.9-testsuite:native,
   python3-gdbm,
   python3-distutils,
+  python3-tk,
+  python3.9-venv,
 # need to turn off apport
-Restrictions: needs-root allow-stderr
+Restrictions: needs-root, allow-stderr
 
 Tests: failing-tests-dbg
 Depends: build-essential,
+  ca-certificates,
   locales-all,
   python3.9-dev,
   python3.9-dbg,
@@ -44,8 +50,10 @@
   python3-gdbm-dbg,
   gdb,
   python3-distutils,
+  python3-tk-dbg,
+  python3.9-venv,
 # need to turn off apport
-Restrictions: needs-root allow-stderr
+Restrictions: needs-root, allow-stderr
 
 Tests: module-install-local
 Depends: build-essential, python3.9-dev, python3-setuptools, shunit2
