=== debian/watch ===
version=3
opts=dversionmangle=s/.*\+//,uversionmangle=s/([abcr]+[1-9])$/~$1/ \
  http://www.python.org/ftp/python/3\.9(\.\d)?/Python-(3\.9[.\dabcr]*)\.tgz
