## python3.9 3.9.4

=== debian/changelog ===
python3.9 (3.9.4-1) experimental; urgency=medium

  * Python 3.9.4 release.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2021 21:38:44 +0200

python3.9 (3.9.3-2) experimental; urgency=high

  * Fix flags substitutions for _sysconfigdata.
  * Revert the fix for issue #42500, breaking ABI on 32bit architectures.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2021 11:36:06 +0200

python3.9 (3.9.3-1) experimental; urgency=medium

  * Python 3.9.3 release.
    - Fix issue #42988: CVE-2021-3426: Remove the getfile feature of the
      pydoc module which could be abused to read arbitrary files on the
      disk (directory traversal vulnerability).
    - Other security issues without a CVE.
    - Other fixes. See the NEWS file.
  * Move zlib1g-dev dependency to libpython3.9-dev. Closes: #984580.
  * Configure with --libdir=/usr/lib/$(DEB_HOST_MULTIARCH), recording the
    correct LIBDIR in _sysconfigdata.  Also adjust DESTSHARED to install
    lib-dynload into the same location as before the configure change.
    See issue #43229.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Apr 2021 11:27:11 +0200
