## python3.9 3.9.5

=== debian/changelog ===
python3.9 (3.9.5-3ubuntu0~21.04.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
     - debian/patches/CVE-2021-3737.patch: addresses the potential for the
       urllib http client to enter into an infinite loop and hang on a 100
       Continue response from a malicious server.
     - debian/patches/CVE-2021-3737_test-fix.patch: improves the regression
       test in Lib/test/test_httplib.py
     - CVE-2021-3737_test-fix.patch

 -- Ian Constantin <ian.constantin@canonical.com>  Thu, 18 Nov 2021 11:00:48 -0500

python3.9 (3.9.5-3~21.04) hirsute; urgency=medium

  * SRU: LP: #1899159: Backport Python 3.9.5 to 21.04.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 May 2021 10:20:37 +0200

python3.9 (3.9.5-3) experimental; urgency=medium

  * Tighten python3-tk autopkg test dependency.
  * Try to detect whether python3-venv is missing (Stefano Rivera).
    Closes: #977887.

 -- Matthias Klose <doko@debian.org>  Tue, 11 May 2021 08:26:08 +0200

python3.9 (3.9.5-2) experimental; urgency=medium

  * Re-add the dependency on libdb-dev.  With Python 3.10, building
    the _dbm extension using libgdbm-compat-dev, and moving the _dbm
    extension into the python3-gdbm package.
  * Call python with -S when checking the minimal set of modules.

 -- Matthias Klose <doko@debian.org>  Thu, 06 May 2021 11:11:34 +0200

python3.9 (3.9.5-1) experimental; urgency=medium

  * Python 3.9.5 release.
  * Refresh patches.
  * Drop the unused build dependency on libdb-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 06:08:53 +0200
