=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3.9
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -133,7 +134,6 @@
 Depends: python3.9 (= ${binary:Version}),
   libpython3.9-dev (= ${binary:Version}),
   libpython3.9 (= ${binary:Version}),
-  libexpat1-dev, zlib1g-dev,
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: libc6-dev | libc-dev
 Description: Header files and a static library for Python (v3.9)
@@ -148,7 +148,10 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpython3.9-stdlib (= ${binary:Version}), libpython3.9 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends: libpython3.9-stdlib (= ${binary:Version}),
+  libpython3.9 (= ${binary:Version}),
+  libexpat1-dev, zlib1g-dev,
+  ${shlibs:Depends}, ${misc:Depends}
 Recommends: libc6-dev | libc-dev
 Description: Header files and a static library for Python (v3.9)
  Header files, a static library and development tools for building
