=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
   libpython3.9-testsuite:native,
   python3-gdbm,
   python3-distutils,
-  python3-tk,
+  python3-tk (>= 3.9.5),
   idle-python3.9,
   systemtap-sdt-dev,
 # need to turn off apport
@@ -21,7 +21,7 @@
   python3-gdbm-dbg,
   gdb,
   python3-distutils,
-  python3-tk-dbg,
+  python3-tk-dbg (>= 3.9.5),
   idle-python3.9,
   systemtap-sdt-dev,
 # need to turn off apport
@@ -35,7 +35,7 @@
   libpython3.9-testsuite:native,
   python3-gdbm,
   python3-distutils,
-  python3-tk,
+  python3-tk (>= 3.9.5),
   python3.9-venv,
 # need to turn off apport
 Restrictions: needs-root, allow-stderr
@@ -50,7 +50,7 @@
   python3-gdbm-dbg,
   gdb,
   python3-distutils,
-  python3-tk-dbg,
+  python3-tk-dbg (>= 3.9.5),
   python3.9-venv,
 # need to turn off apport
 Restrictions: needs-root, allow-stderr
