## python3.9 3.9.7

=== debian/changelog ===
python3.9 (3.9.7-2ubuntu0.1) impish-security; urgency=medium

  * SECURITY UPDATE: Injection Attack
    - debian/patches/CVE-2015-20107.patch: Make mailcap refuse to match unsafe
      filenames/types/param in Lib/mailcap.py, Lib/test/test_mailcap.py.
    - CVE-2015-20107

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 22 Jun 2022 17:11:26 -0300

python3.9 (3.9.7-2build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:43 +0200

python3.9 (3.9.7-2) unstable; urgency=medium

  * Fix CFLAGS in the python3.x-config scripts. Closes: #992669, #989000.
  * Support arc-linux-gnu in the multiarch header. Closes: #992091.
  * Don't run the test_concurrent_futures test on alpha and sparc64.
    Closes: #991110.
  * Fix path to mkdir on a unified-/usr system. Closes: #992775.
  * Use command -v instead of which in shell scripts. Closes: #993413.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Sep 2021 08:18:44 +0200

python3.9 (3.9.7-1) unstable; urgency=medium

  * Python 3.9.7 release.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Aug 2021 15:27:14 +0200

python3.9 (3.9.6-1) experimental; urgency=medium

  * Python 3.9.6 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Jun 2021 12:19:25 +0200
