=== debian/rules ===
--- 
+++ 
@@ -228,6 +228,7 @@
 	-e 's/-fstack-protector /-fstack-protector-strong /g' \
 	-e 's/-specs=[^ ]*//g' \
 	-e 's/-fdebug-prefix-map=[^ ]*//g' \
+	-e 's/-ffile-prefix-map=[^ ]*//g' \
 	-e 's,^RUNSHARED *=.*,RUNSHARED=,' \
 	-e '/BLDLIBRARY/s/-L\. //'
