## python3.9 3.9.12

=== debian/changelog ===
python3.9 (3.9.12-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 3.9.0~b5-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 30 Jul 2020 10:10:07 +0000]
  * Disable testsuite (test_concurrent_futures seems to hang)

 -- Raspbian forward porter <root@raspbian.org>  Sun, 27 Mar 2022 08:01:22 +0000

python3.9 (3.9.12-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 14:02:21 +0100

python3.9 (3.9.11-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Mar 2022 08:20:01 +0100

python3.9 (3.9.10-2) unstable; urgency=medium

  * Make test suite support Expat >=2.4.5.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2022 14:54:07 +0100

python3.9 (3.9.10-1) unstable; urgency=medium

  * New upstream version.

  [ Stefano Rivera ]
  * Migrate to individual wheel packages. Drop ensurepip-pkg-resources.diff,
    pkg_resources is now shipped in the setuptools wheel. (Closes: #1003573)
  * Mark module-install-virtualenv autopkgtest allow-stderr.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2022 18:12:18 +0100

python3.9 (3.9.9-4) unstable; urgency=medium

  * Allow stderr in the module-install-venv autopkg test.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jan 2022 17:10:51 +0100

python3.9 (3.9.9-3) unstable; urgency=medium

  * d/p/openssl-3.0.1-version-check.diff: cherry-picked from upstream
    to fix the test suite against OpenSSL 3.0.1 (Simon Chopin).
    LP: #1956765.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jan 2022 11:55:59 +0100

python3.9 (3.9.9-2) unstable; urgency=medium

  * Run the module-install-local and module-install-user tests with
    allow-stderr. Addresses: #1001722.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Dec 2021 00:13:29 +0100

python3.9 (3.9.9-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Nov 2021 11:24:31 +0100

python3.9 (3.9.8-2) unstable; urgency=medium

  * Revert the backport for issue #45235 (argparse does not preserve
    namespace with subparser defaults).

 -- Matthias Klose <doko@debian.org>  Thu, 11 Nov 2021 15:47:21 +0100

python3.9 (3.9.8-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Nov 2021 16:47:09 +0100

python3.9 (3.9.7-4) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Sep 2021 11:43:00 +0200

python3.9 (3.9.7-3) unstable; urgency=medium

  * More flags substitutions for LDFLAGS in _sysconfigdata.
    Closes: #989000.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 10:39:04 +0200
