=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python3.9
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -20,7 +19,7 @@
   systemtap-sdt-dev
 Build-Depends-Indep: python3-sphinx, python3-docs-theme, texinfo
 Build-Conflicts: git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3/tree/python3.9
 Vcs-Git: https://salsa.debian.org/cpython-team/python3.git -b python3.9
 XS-Testsuite: autopkgtest
@@ -47,7 +46,8 @@
 Multi-Arch: allowed
 Priority: optional
 Depends: python3.9 (= ${binary:Version}),
- python-pip-whl (>= 8.1.0-2),
+ python3-pip-whl,
+ python3-setuptools-whl,
  python3.9-distutils,
  ${shlibs:Depends}, ${misc:Depends},
 Breaks: python3-pip (<< 1.5.6-4)
