=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,9 @@
 
 dh_compat2 := $(shell dpkg --compare-versions "$$(dpkg-query -f '$${Version}' -W debhelper)" lt 9.20150811ubuntu2 && echo DH_COMPAT=2)
 
-ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
   WITHOUT_CHECK := yes
-endif
+#endif
 WITHOUT_BENCH :=
 ifneq (,$(findstring nobench, $(DEB_BUILD_OPTIONS)))
   WITHOUT_BENCH := yes
@@ -229,6 +229,7 @@
 	-e 's/-specs=[^ ]*//g' \
 	-e 's/-fdebug-prefix-map=[^ ]*//g' \
 	-e 's/-ffile-prefix-map=[^ ]*//g' \
+	-e 's/-Wl,-z,relro//g' \
 	-e 's,^RUNSHARED *=.*,RUNSHARED=,' \
 	-e '/BLDLIBRARY/s/-L\. //'
 
@@ -236,5 +237,3 @@
   arch_substvars =
 else ifeq ($(derivative),Debian)
   arch_substvars = # '-Vpython38:Breaks=$(shell tr '\n' ' ' < debian/py38-breaks.$(derivative))'
-endif
-
