=== debian/tests/control ===
--- 
+++ 
@@ -57,13 +57,16 @@
 
 Tests: module-install-local
 Depends: build-essential, python3.9-dev, python3-setuptools, shunit2
-Restrictions: needs-root
+Restrictions: needs-root, allow-stderr
 
 Tests: module-install-user
 Depends: build-essential, python3.9-dev, python3-setuptools, shunit2
+Restrictions: allow-stderr
 
 Tests: module-install-venv
 Depends: build-essential, python3.9-dev, python3.9-venv, shunit2
+Restrictions: allow-stderr
 
 Tests: module-install-virtualenv
 Depends: build-essential, python3.9-dev, shunit2, virtualenv
+Restrictions: allow-stderr
